insert into Book(BookID, Tile, StockQuantity, Price, PublishedDate) values
(1, 'The Great Gatsby', 100, 19.99, '01-01-2017'),
(2, 'To Kill a Mockingbird', 120, 15.99, '02-05-2019'),
(3, '1984', 80, 12.50, '15-11-2021'),
(4, 'Pride and Prejudice', 90, 14.99, '20-03-2022'),
(5, 'The Catcher in the Rye', 110, 17.50, '02-04-2021'),
(6, 'The Hobbit', 95, 18.75, '10-01-1975'),
(7, 'Harry Potter and the Sorcerer\'s Stone', 150, 22.99, '28-02-2011'),
(8, 'The Lord of the Rings', 75, 25.50, '15-03-2013'),
(9, 'Brave New World', 85, 16.99, '05-12-2009'),
(10, 'The Da Vinci Code', 105, 20.25, '10-04-2019'),
(11, 'The Shining', 70, 13.99, '25-01-2016'),
(12, 'The Hunger Games', 125, 19.25, '15-02-2017'),
(13, 'Dune', 80, 24.99, '05-03-2017'),
(14, 'The Girl with the Dragon Tattoo', 95, 15.75, '18-04-2013'),
(15, 'The Road', 60, 11.50, '20-12-2011'),
(16, 'Great Expectations', 110, 14.50, '08-01-1998'),
(17, 'Moby-Dick', 70, 21.99, '20-02-2000'),
(18, 'The Odyssey', 100, 18.50, '10-03-1999'),
(19, 'War and Peace', 65, 27.50, '05-04-2000');

insert into Recommendation(RecommendationID, DateRecommendation) values
(1, '15-02-2022'),
(2, '01-03-2023'),
(3, '05-04-2023'),
(4, '12-05-2021'),
(5, '20-06-2020'),
(6, '04-07-2019'),
(7, '15-08-2015'),
(8, '22-09-2018'),
(9, '30-10-2020'),
(10, '11-11-2020');

insert into Author(AuthorID, AuthorName, Email) values
(1, 'Jane Austen', 'jane.austen@gmail.com'),
(2, 'Charles Dickens', 'charles.dickens@hotmail.com'),
(3, 'J.K. Rowling', 'jk.rowling@yahoo.com'),
(4, 'George Orwell', 'george.orwell@gmail.com'),
(5, 'Harper Lee', 'harper.lee@hotmail.com'),
(6, 'J.R.R. Tolkien', 'jrr.tolkien@yahoo.com'),
(7, 'F. Scott Fitzgerald', 'fscott.fitzgerald@gmail.com'),
(8, 'Herman Melville', 'herman.melville@hotmail.com'),
(9, 'Leo Tolstoy', 'leo.tolstoy@yahoo.com'),
(10, 'Ray Bradbury', 'ray.bradbury@gmail.com'),
(11, 'Agatha Christie', 'agatha.christie@hotmail.com'),
(12, 'Gabriel Garcia Marquez', 'gabriel.marquez@yahoo.com'),
(13, 'Jane Eyre', 'jane.eyre@gmail.com'),
(14, 'Emily Bronte', 'emily.bronte@hotmail.com'),
(15, 'Mark Twain', 'mark.twain@yahoo.com');

insert into Review(ReviewID, Rating, DatePosted, Comment) values
(1, 5, '10-03-2023', 'A masterpiece!'),
(2, 4, '15-03-2022', 'Enjoyed the plot twists.'),
(3, 5, '20-03-2023', 'Couldn't put it down.'),
(4, 3, '01-04-2021', 'Interesting, but a bit slow.'),
(5, 4, '05-04-2019', 'Well-written and engaging.'),
(6, 5, '10-04-2018', 'One of my all-time favorites.'),
(7, 2, '15-04-2010', 'Not my cup of tea.'),
(8, 5, '20-04-2022', 'Captivating characters.'),
(9, 4, '25-04-2023', 'Great book for a rainy day.'),
(10, 3, '01-05-2023', 'Expected more from the ending.');

insert into Shipping(ShippingID, ShipDate, TrackingNumber, Status) values
(1, '01-04-2022', 'ABC123456', 'Shipped'),
(2, '05-04-2021', 'XYZ789012', 'In Transit'),
(3, '10-04-2023', 'DEF345678', 'Delivered'),
(4, '15-04-2023', 'GHI901234', 'Shipped'),
(5, '20-04-2023', 'JKL567890', 'In Transit'),
(6, '25-04-2019', 'MNO123456', 'Delivered'),
(7, '01-05-2023', 'PQR789012', 'Shipped'),
(8, '05-05-2023', 'STU345678', 'In Transit'),
(9, '10-05-2023', 'VWX901234', 'Delivered'),
(10, '15-27-2023', 'YZA567890', 'Shipped'),
(11, '20-05-2023', 'BCD123456', 'In Transit'),
(12, '25-05-2023', 'EFG789012', 'Delivered');

insert into Order(OrderID, OrderDate, TotalAmount) values
(1, '01-04-2021', 150.75),
(2, '05-04-2022', 98.50),
(3, '10-04-2023', 120.25),
(4, '15-04-2019', 175.99),
(5, '20-04-2020', 210.80),
(6, '25-04-2018', 135.50),
(7, '01-05-2020', 88.75),
(8, '05-05-2023', 200.45),
(9, '10-05-2022', 110.30),
(10, '15-05-2022', 180.60),
(11, '20-05-2023', 95.20),
(12, '25-05-2016', 145.75),
(13, '01-06-2023', 160.90),
(14, '05-06-2022', 75.40),
(15, '10-06-2022', 220.15),
(16, '15-06-2023', 130.80),
(17, '20-06-2023', 185.25),
(18, '25-06-2023', 98.90),
(19, '01-07-2020', 112.50);

insert into Payment(PaymentID, PaymentDate, PaymentMethod, Amount) values
(1, '01-04-2023', 'Credit Card', 150.75),
(2, '05-04-2023', 'PayPal', 98.50),
(3, '10-04-2022', 'PayPal', 120.25),
(4, '15-04-2020', 'Credit Card', 175.99),
(5, '20-04-2019', 'Credit Card', 210.80),
(6, '25-04-2022', 'PayPal', 135.50),
(7, '01-05-2022', 'PayPal', 88.75),
(8, '05-05-2022', 'Credit Card', 200.45),
(9, '10-05-2022', 'Credit Card', 110.30),
(10, '15-05-2022', 'PayPal', 180.60),
(11, '20-05-2022', 'Credit Card', 95.20),
(12, '25-05-2022', 'PayPal', 145.75),
(13, '01-06-2022', 'PayPal', 160.90),
(14, '05-06-2022', 'Credit Card', 75.40),
(15, '10-06-2022', 'PayPal', 220.15),
(16, '15-06-2022', 'PayPal', 130.80),
(17, '20-06-2022', 'Credit Card', 185.25),
(18, '25-06-2022', 'Credit Card', 98.90),
(19, '01-07-2022', 'PayPal', 112.50),
(20, '05-07-2022', 'PayPal', 190.30);

insert into FeedBack(FeedbackID, FeedbackText, DataSubmitted) values
(1, 'Excellent service! Highly recommend.', '05-04-2022'),
(2, 'The book selection is fantastic.', '10-04-2023'),
(3, 'Fast shipping and great packaging.', '15-04-2023'),
(4, 'The website is user-friendly.', '20-04-2023'),
(5, 'Could use more discounts and promotions.', '25-04-2023'),
(6, 'Love the variety of genres available.', '01-05-2019'),
(7, 'Responsive customer support.', '05-05-2020'),
(8, 'Book quality exceeded my expectations.', '10-05-2020'),
(9, 'Great prices and easy checkout process.', '15-05-2020'),
(10, 'The return process is a bit cumbersome.', '20-05-2018'),
(11, 'Highly satisfied with my purchase.', '25-05-2023'),
(12, 'The app needs improvement.', '01-06-2020'),
(13, 'Love the personalized recommendations.', '05-06-2023'),
(14, 'Book descriptions are very detailed.', '10-06-2022'),
(15, 'Overall, a positive shopping experience.', '15-06-2022'),
(16, 'Shipping took longer than expected.', '20-06-2021'),
(17, 'Received a damaged book.', '25-06-2020'),
(18, 'Poor customer service response.', '01-07-2020'),
(19, 'Website navigation is confusing.', '05-07-2019'),
(20, 'Prices are too high for some books.', '10-07-2019');

insert into Customer(CustomerID, Username, Password, FirstName, LastName, Email, Address, Phone) values
(1, 'booklover123', 'securepass123', 'John', 'Doe', 'john.doe@email.com', '123 Main St, Cityville', '555-1234'),
(2, 'avidreader456', 'password456', 'Jane', 'Smith', 'jane.smith@email.com', '456 Oak St, Townsville', '555-5678'),
(3, 'bookworm789', 'secret789', 'Robert', 'Johnson', 'robert.johnson@email.com', '789 Pine St, Villagetown', '555-9012'),
(4, 'litfanatic101', 'p@ssw0rd', 'Emily', 'Taylor', 'emily.taylor@email.com', '101 Cedar St, Hamletville', '555-3456'),
(5, 'novelenthusiast', 'reader123', 'Sarah', 'Williams', 'sarah.williams@email.com', '234 Elm St, Boroughville', '555-7890'),
(6, 'bookishdreamer', 'passw0rd', 'Michael', 'Brown', 'michael.brown@email.com', '345 Maple St, Townberg', '555-1234'),
(7, 'bibliophile22', 'secure321', 'Ella', 'Miller', 'ella.miller@email.com', '456 Birch St, Cityborough', '555-5678'),
(8, 'pageturner55', 'books4life', 'Daniel', 'Davis', 'daniel.davis@email.com', '567 Walnut St, Villagetown', '555-9012'),
(9, 'readingspirit', 'spiritual1', 'Olivia', 'Jones', 'olivia.jones@email.com', '678 Oak St, Boroughville', '555-3456'),
(10, 'bookdragon89', 'dragonscales', 'Matthew', 'Moore', 'matthew.moore@email.com', '789 Pine St, Cityville', '555-7890'),
(11, 'prosewizard', 'wordsmith123', 'Sophia', 'Brown', 'sophia.brown@email.com', '890 Maple St, Townsville', '555-1234'),
(12, 'fictionbuff', 'novel123', 'Christopher', 'Hill', 'christopher.hill@email.com', '901 Cedar St, Villagetown', '555-5678'),
(13, 'bookishmind', 'mindreader', 'Ava', 'Adams', 'ava.adams@email.com', '102 Pine St, Hamletville', '555-9012'),
(14, 'litlover77', 'booklover77', 'Benjamin', 'Clark', 'benjamin.clark@email.com', '345 Elm St, Boroughville', '555-3456'),
(15, 'whimsicalreader', 'whimsy123', 'Emma', 'Martin', 'emma.martin@email.com', '456 Maple St, Cityville', '555-7890');

insert into Wishlist(WishlistID) values
(1),
(2),
(3),
(4),
(5),
(6);

insert into Cart(CartID, Quantity) values
(1, 2),
(2, 3),
(3, 1),
(4, 2),
(5, 4),
(6, 1),
(7, 3),
(8, 2),
(9, 1);

insert into Publisher(PublisherID, PublisherName) values
(1, 'Random House'),
(2, 'Penguin Books'),
(3, 'HarperCollins'),
(4, 'Simon & Schuster'),
(5, 'Hachette Book Group'),
(6, 'Macmillan Publishers'),
(7, 'Scholastic Corporation'),
(8, 'Oxford University Press'),
(9, 'Cambridge University Press'),
(10, 'Wiley');

insert into Genre(GenreID, GenreName) values
(1, 'Fiction'),
(2, 'Mystery'),
(3, 'Science Fiction'),
(4, 'Fantasy'),
(5, 'Romance'),
(6, 'Thriller'),
(7, 'Non-fiction'),
(8, 'Historical Fiction'),
(9, 'Biography'),
(10, 'Self-Help');